jif.ast

## Class PrincipalActsForPrincipalConstraintNode_c

- java.lang.Object
- - polyglot.ast.Node_c
  - - jif.ast.ConstraintNode_c<ActsForConstraint<Actor,Granter>>
    - - jif.ast.ActsForConstraintNode_c<Principal,Principal>
      - - jif.ast.PrincipalActsForPrincipalConstraintNode_c

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, ActsForConstraintNode<Principal,Principal>, ConstraintNode<ActsForConstraint<Principal,Principal>>, PrincipalActsForPrincipalConstraintNode, polyglot.ast.Node, polyglot.ast.NodeOps, polyglot.util.Copy<polyglot.ast.Node>

      public class PrincipalActsForPrincipalConstraintNode_c
      extends ActsForConstraintNode_c<Principal,Principal>
      implements PrincipalActsForPrincipalConstraintNode

  An implementation of the `PrincipalActsForPrincipalConstraintNode` interface.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface polyglot.util.Copy

      `polyglot.util.Copy.Util`

  - ### Field Summary

    - ### Fields inherited from class jif.ast.ActsForConstraintNode_c

      `actor, granter, isEquiv`

    - ### Fields inherited from class jif.ast.ConstraintNode_c

      `constraints`

    - ### Fields inherited from class polyglot.ast.Node_c

      `del, error, ext, position`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrincipalActsForPrincipalConstraintNode_c(polyglot.util.Position pos, PrincipalNode actor, PrincipalNode granter, boolean isEquiv)`
    `PrincipalActsForPrincipalConstraintNode_c(polyglot.util.Position pos, PrincipalNode actor, PrincipalNode granter, boolean isEquiv, polyglot.ast.Ext ext)`

  - ### Method Summary

    - ### Methods inherited from class jif.ast.ActsForConstraintNode_c

      `actor, actor, actor, copy, disambiguate, granter, granter, granter, prettyPrint, reconstruct, translate, visitChildren`

    - ### Methods inherited from class jif.ast.ConstraintNode_c

      `constraint, constraint, constraints, constraints, exceptionCheckEnter, isDisambiguated, setConstraint, toString`

    - ### Methods inherited from class polyglot.ast.Node_c

      `addDecls, buildTypes, buildTypesEnter, checkConstants, childExpectedType, copy, copy, copyIfNeeded, del, del, disambiguateEnter, disambiguateOverride, dump, dump, dump, dump, dump, enterChildScope, enterScope, error, error, error, exceptionCheck, ext, ext, ext, ext, extRewrite, extRewriteEnter, extRewriteOverride, isTypeChecked, lang, position, position, position, prettyPrint, prettyPrint, prettyPrint, prettyPrint, print, printBlock, printSubStmt, throwTypes, typeCheck, typeCheckEnter, typeCheckOverride, visit, visitChild, visitEdge, visitList`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface jif.ast.ActsForConstraintNode

      `actor, actor, granter, granter`

    - ### Methods inherited from interface jif.ast.ConstraintNode

      `constraints, constraints`

    - ### Methods inherited from interface polyglot.ast.Node

      `del, del, dump, error, error, ext, ext, ext, ext, isDisambiguated, isTypeChecked, position, position, visit, visitEdge`

    - ### Methods inherited from interface polyglot.ast.NodeOps

      `addDecls, buildTypes, buildTypesEnter, checkConstants, childExpectedType, copy, copy, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, dump, dump, enterChildScope, enterScope, exceptionCheck, exceptionCheckEnter, extRewrite, extRewriteEnter, extRewriteOverride, lang, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrint, throwTypes, translate, typeCheck, typeCheckEnter, typeCheckOverride, visitChild, visitChildren, visitList`

    - ### Methods inherited from interface polyglot.util.Copy

      `copy`

- - ### Constructor Detail

    - #### PrincipalActsForPrincipalConstraintNode_c

          public PrincipalActsForPrincipalConstraintNode_c(polyglot.util.Position pos,
                                                           PrincipalNode actor,
                                                           PrincipalNode granter,
                                                           boolean isEquiv)

    - #### PrincipalActsForPrincipalConstraintNode_c

          public PrincipalActsForPrincipalConstraintNode_c(polyglot.util.Position pos,
                                                           PrincipalNode actor,
                                                           PrincipalNode granter,
                                                           boolean isEquiv,
                                                           polyglot.ast.Ext ext)